%define name    padthv1
%define version 0.9.10
%define release 14

%define _prefix	/usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

#Summary:	An old-school polyphonic additive synthesizer
Name: padthv1
Version: 0.9.10
Release: 14.rncbc.suse
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.gz
URL:		http://padthv1.sourceforge.net
#Packager:	rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	qt5-qtbase-devel >= 5.1, qt5-linguist
BuildRequires:	alsa-lib-devel
%else
BuildRequires:	pkg-config
BuildRequires:	libqt5-qtbase-devel >= 5.1, libqt5-linguist
BuildRequires:	alsa-devel
%endif
BuildRequires:	libjack-devel
BuildRequires:	fftw3-devel
BuildRequires:	liblo-devel
BuildRequires:	lv2-devel

#package -n %{name}
Summary:	An old-school polyphonic additive synthesizer - JACK standalone
Provides:	%{name}_jack
Requires:	%{name}-common = %{version}

%description -n %{name}
  An old-school all-digital polyphonic additive synthesizer with stereo fx.
  .
  This package provides the standalone JACK client application (padthv1_jack)


%package -n %{name}-lv2
Summary:	An old-school polyphonic additive synthesizer - LV2 plugin
Provides:	%{name}_lv2, %{name}_lv2ui
Requires:	%{name}-common = %{version}

%description -n %{name}-lv2
  An old-school all-digital polyphonic additive synthesizer with stereo fx.
  .
  This package provides the LV2 plugin (http://padthv1.sourceforge.net/lv2)


%package -n %{name}-common
Summary:	An old-school polyphonic additive synthesizer - Common files
Provides:	%{name}_core, %{name}_ui

%description -n %{name}-common
  An old-school all-digital polyphonic additive synthesizer with stereo fx.
  .
  This package provides files shared by both the LV2 plugin and the
  standalone JACK client application.


%prep
%setup
[ -x ./autogen.sh ] && ./autogen.sh

%build
%configure
%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%post -n %{name}-common
/sbin/ldconfig

%postun -n %{name}-common
/sbin/ldconfig


%files -n %{name}
%defattr(-,root,root)
%dir %{_datadir}/metainfo
#dir %{_datadir}/applications
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
#dir %{_datadir}/man
#dir %{_datadir}/man/man1
%{_bindir}/%{name}_jack
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/man/man1/%{name}*.1.gz

%files -n %{name}-lv2
%defattr(-,root,root)
%dir %{_libdir}/lv2
%dir %{_libdir}/lv2/%{name}.lv2
%{_libdir}/lv2/%{name}.lv2/manifest.ttl
%{_libdir}/lv2/%{name}.lv2/%{name}.ttl
%{_libdir}/lv2/%{name}.lv2/%{name}.so
%{_libdir}/lv2/%{name}.lv2/%{name}_ui.ttl
%{_libdir}/lv2/%{name}.lv2/%{name}_ui.so

%files -n %{name}-common
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
#dir %{_datadir}/mime
#dir %{_datadir}/mime/packages
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/mimetypes
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/mimetypes
%{_libdir}/lib%{name}.so*
%{_libdir}/lib%{name}_ui.so*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/mimetypes/application-x-%{name}*.png
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}*.svg


%changelog
* Tue Sep 24 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.9.10
- An Early-Fall'19 release.
* Thu Jul 18 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.9.9
- A Summer'19 release.
* Thu Jun  6 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.9.8
- A Spring'19 release.
* Sun Apr 14 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.9.7
- A Spring-Break'19 release.
* Mon Mar 18 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.9.6
- Pre-LAC2019 release frenzy.
* Mon Mar  4 2019 Rui Nuno Capela <rncbc@rncbc.org> 0.9.5
- The End of Winter'19 release.
* Wed Dec 12 2018 Rui Nuno Capela <rncbc@rncbc.org> 0.9.4
- A Late Autumn'18 release.
* Mon Oct 22 2018 Rui Nuno Capela <rncbc@rncbc.org> 0.9.3
- An Autumn'18 release.
* Tue Jul 24 2018 Rui Nuno Capela <rncbc@rncbc.org> 0.9.2
- A Summer'18 release.
* Tue Jun 26 2018 Rui Nuno Capela <rncbc@rncbc.org> 0.9.1
- An Early Summer'18 release.
* Wed Mar  7 2018 Rui Nuno Capela <rncbc@rncbc.org> 0.9.0
- The End of Winter'18 release.
* Wed Dec 20 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.8.6
- The End of Autumn'17 release.
* Sun Oct 29 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.8.5
- An Autumn'17 release.
* Tue Aug 22 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.8.4
- A Late-Summer'17 release.
- First public release.
* Thu Jul 20 2017 Rui Nuno Capela <rncbc@rncbc.org>
- Created initial padthv1.spec
